Bug 1200612 - Package rocksdb binary for Fedora
Summary: Package rocksdb binary for Fedora
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-influxdb-rocksdb
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 00:05 UTC by Graeme Gillies
Modified: 2021-08-10 12:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 14:56:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Graeme Gillies 2015-03-11 00:05:10 UTC
Hi,

With influxdb version 0.9 moving to completely utilise rocksdb, we probably want to look at expanding this package to fully provide a rocksdb compiled binary.

That is, a rocksdb package that has /usr/bin/rocksdb, as well as the devel package with the raw go code for deps (which this package currently provides)

Regards,

Graeme

Comment 1 Honza Horak 2015-03-11 18:41:52 UTC
(In reply to Graeme Gillies from comment #0)
> With influxdb version 0.9 moving to completely utilise rocksdb, we probably
> want to look at expanding this package to fully provide a rocksdb compiled
> binary.
> 
> That is, a rocksdb package that has /usr/bin/rocksdb, as well as the devel
> package with the raw go code for deps (which this package currently provides)

Graeme, what do you expect from /usr/bin/rocksdb? When trying to compile rocksdb from https://github.com/facebook/rocksdb.git it doesn't include such a binary.

Imho the packge rocksdb should just include *versioned* shared library (done by `make shared_lib PLATFORM_SHARED_EXT=so PLATFORM_SHARED_VERSIONED=true`) and rocksdb-devel package should contain the header files and unversioned library symlink. No evidence about rocksdb binary.

Comment 2 Graeme Gillies 2015-03-11 23:10:57 UTC
Hi,

I am incredibly sorry you are correct. I got confused with influxdb and rocksdb in this case. You are right, this bug should be renamed/changed to having rocksdb shared library shipped in fedora so that it can be used by this packaged and eventually influxdb.

Thanks again,

Regards,

Graeme

Comment 5 Jan Kurik 2015-07-15 14:25:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Fedora Admin XMLRPC Client 2015-07-29 13:39:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Jeremy Eder 2016-05-02 11:20:42 UTC
Hey all -- this is almost a year old, wondering what the current status is?

I have another use case for this:  the rocksdb shared library is required to run IBM's hyperledger implementation "fabric".

https://github.com/hyperledger/fabric

Which we're in the process of getting running on Fedora, and right now we have to build RocksDB shared_lib from source, which inflates the dependency list to include the compile chain and a bunch of ruby gems which are useless during runtime.

Comment 8 Jan Chaloupka 2016-05-02 11:29:04 UTC
Matej?

Comment 9 Jeremy Eder 2016-05-03 14:44:57 UTC
https://github.com/facebook/rocksdb/issues/1114

Comment 10 Fedora End Of Life 2016-11-24 11:33:16 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 gil cattaneo 2016-12-03 07:50:09 UTC
Please, enable/import also Java binding mvn(org.rocksdb:rocksdbjni) [1]
used in Apache Kafka
Regards

[1] https://github.com/facebook/rocksdb/tree/master/java

Comment 12 Fedora End Of Life 2017-02-28 09:41:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 13 Fedora End Of Life 2018-05-03 08:06:10 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 David Strauss 2018-05-03 16:21:22 UTC
Bumping to rawhide.

Comment 15 Jan Kurik 2018-08-14 11:09:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 16 Ben Cotton 2019-10-31 20:44:45 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 David Strauss 2019-10-31 21:14:45 UTC
Bumping to rawhide, as this is request is effectively evergreen.

Comment 18 Ben Cotton 2020-02-11 15:47:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 19 tiantian223 2020-05-14 08:59:10 UTC
I am sorry I have some questions about rocksdb.spec https://src.fedoraproject.org/rpms/rocksdb/blob/f29/f/rocksdb.spec
1. what's the puppose of three lines removing:
       rm -rf third-party/gtest-1.7.0
       rm java/benchmark/src/main/java/org/rocksdb/benchmark/DbBenchmark.java
       rm build_tools/gnu_parallel
   Is there something related with LICENCE?
2. why there is no Requires in spec file, should we have to add the dependencies as https://github.com/facebook/rocksdb/blob/master/INSTALL.md#dependencies

Thanks all!

Comment 20 Ben Cotton 2021-04-29 15:44:21 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2021-05-25 14:56:16 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 Ben Cotton 2021-08-10 12:44:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.


Note You need to log in before you can comment on or make changes to this bug.